#ifndef flashLED_h
#define flashLED_h

#include <Arduino.h>

// flash a 'code' to an LED on a specified output 
class flashLED {
  private:
    static uint8_t pin;
    static uint8_t flashes;
    static uint16_t onTime;
    static uint16_t offTime;
    static uint16_t finalOffTime;
    static uint8_t flashesRemaining;
    static uint16_t onRemaining;
    static uint16_t offRemaining;
    static uint32_t prev; // previous millisecond value
    static uint8_t mode; // 0 = flashing, 1 = off, 2 = on
    
  public:
    static void start(uint8_t outputPin, uint16_t onMs = 250, uint16_t offMs = 250, uint16_t finalOffMs = 1000); // call from setup() to initalise output and flash times etc.
    static void set(uint8_t n); // set number of flashes
    static void on(void); // switch LED on 
    static void off(void); // switch LED off
    static void loop(void); // call from main loop() - works timer and drives the LED 
};
#endif
